# Weather_app

This is a live weather web app baed on python(flask) and flask_sqlachemcy connect to a api of Openweathermap API this api gives us live information of weather of various locations

# Live-Weather-Webapp
This is a live weather web app baed on python(flask) and flask_sqlachemcy connect to a api of   Openweathermap API this api gives us live information of weather of various locations

# Requirement
## Flask
   <p> Flask is a micro web framework written in Python. It is classified as a microframework because it does not require particular tools or libraries.
    It has no database   abstraction layer, form validation, or any other components where pre-existing third-party libraries provide common functions.</p>
    Installing
      <p>Install and update using pip:</p>
      
      $ pip install -U Flask
      
      
## Requests
  <p>The requests library is the de facto standard for making HTTP requests in Python. It abstracts the complexities of making requests behind a beautiful, simple API so that you can focus on interacting with services and consuming data in your application</p>
  Installing
    <p>Install and update using pip:</p>
    
     $ pip install requests
  
## Flask_sqlalchemy
  <p>Flask-SQLAlchemy is an extension for Flask that adds support for SQLAlchemy to your application. It aims to simplify using SQLAlchemy with Flask by providing useful defaults and extra helpers that make it easier to accomplish common tasks.</p>
    Installing
    <p>Install and update using pip:</p>
    
    $ pip install -U Flask-SQLAlchemy
    
    
    
 # Demo Screenshot
    
 ![Screenshot (3)](https://user-images.githubusercontent.com/52278696/132950356-639e5bf7-ca36-45bd-9cde-63e57ea547e1.png)
![Screenshot (4)](https://user-images.githubusercontent.com/52278696/132950360-3c677341-373d-4415-a30d-d4628db2960b.png)
![Screenshot (1)](https://user-images.githubusercontent.com/52278696/132950329-1fe5d405-978d-4cc5-8b48-962a029e3855.png)
![Screenshot (2)](https://user-images.githubusercontent.com/52278696/132950333-8f9afc2e-7670-4819-b8f8-cfd9a4ad7ffb.png)

